For the complete documentation index, see llms.txt. This page is also available as Markdown.

Change WordPress version

Changes the installed WordPress core version on an Agency Plan website to one of the versions available for installation.

Change WordPress version

patch

Changes the installed WordPress core version on an Agency Plan website to one of the versions available for installation.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
website_uidstringRequired

Agency Plan website UID

Example: zpwlGlp19
Body
versionstringRequired

Target WordPress core version to install. Must be one of the available versions.

Example: 6.5.5
Responses
200

Success empty response

application/json
messagestringOptionalExample: Request accepted
patch/api/agency-hosting/v1/websites/{website_uid}/wordpress/settings/version
PATCH /api/agency-hosting/v1/websites/{website_uid}/wordpress/settings/version HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 19

{
  "version": "6.5.5"
}
{
  "message": "Request accepted"
}

Last updated

Was this helpful?